=== added file 'tests/r/csv_alter_table.result'
--- tests/r/csv_alter_table.result	1970-01-01 00:00:00 +0000
+++ tests/r/csv_alter_table.result	2008-12-24 06:56:47 +0000
@@ -0,0 +1,44 @@
+# ===== csv_alter_table.1 =====
+DROP TABLE IF EXISTS t1;
+Warnings:
+Note	1051	Unknown table 't1'
+CREATE TABLE t1 (a int NOT NULL) ENGINE = CSV;
+ALTER TABLE t1 ADD COLUMN b CHAR(5) NOT NULL;
+DESC t1;
+Field	Type	Null	Key	Default	Extra
+a	int	NO		NULL	
+b	varchar(5)	NO		NULL	
+ALTER TABLE t1 DROP COLUMN b;
+DESC t1;
+Field	Type	Null	Key	Default	Extra
+a	int	NO		NULL	
+ALTER TABLE t1 MODIFY a BIGINT NOT NULL;
+DESC t1;
+Field	Type	Null	Key	Default	Extra
+a	bigint	NO		NULL	
+ALTER TABLE t1 CHANGE a a INT NOT NULL;
+DESC t1;
+Field	Type	Null	Key	Default	Extra
+a	int	NO		NULL	
+DROP TABLE t1;
+# ===== csv_alter_table.2 =====
+DROP TABLE IF EXISTS t1;
+Warnings:
+Note	1051	Unknown table 't1'
+CREATE TABLE t1 (a int NOT NULL) ENGINE = CSV;
+ALTER TABLE t1 ADD COLUMN b CHAR(5);
+ERROR 42000: The storage engine for the table doesn't support nullable columns
+DESC t1;
+Field	Type	Null	Key	Default	Extra
+a	int	NO		NULL	
+ALTER TABLE t1 MODIFY a BIGINT;
+ERROR 42000: The storage engine for the table doesn't support nullable columns
+DESC t1;
+Field	Type	Null	Key	Default	Extra
+a	int	NO		NULL	
+ALTER TABLE t1 CHANGE a a INT;
+ERROR 42000: The storage engine for the table doesn't support nullable columns
+DESC t1;
+Field	Type	Null	Key	Default	Extra
+a	int	NO		NULL	
+DROP TABLE t1;

=== renamed file 'tests/suite/broken/r/csv_not_null.result' => 'tests/r/csv_not_null.result'
--- tests/suite/broken/r/csv_not_null.result	2008-06-25 05:29:13 +0000
+++ tests/r/csv_not_null.result	2008-12-24 06:56:47 +0000
@@ -1,5 +1,8 @@
 # ===== csv_not_null.1 =====
 DROP TABLE IF EXISTS t1, t2;
+Warnings:
+Note	1051	Unknown table 't1'
+Note	1051	Unknown table 't2'
 # === Will fail -- no NOT NULL ===
 CREATE TABLE t1 (a int) ENGINE = CSV;
 ERROR 42000: The storage engine for the table doesn't support nullable columns
@@ -11,21 +14,20 @@
 DROP TABLE t1;
 # ===== csv_not_null.2 =====
 DROP TABLE IF EXISTS t1;
+Warnings:
+Note	1051	Unknown table 't1'
 CREATE TABLE t1 (a int NOT NULL, b blob NOT NULL, c CHAR(20) NOT NULL, 
 d VARCHAR(20) NOT NULL, e enum('foo','bar') NOT NULL,f DATE NOT NULL) 
 ENGINE = CSV;
-# === should result in default for each datatype ===
 INSERT INTO t1 VALUES();
-SELECT * FROM t1;
-a	b	c	d	e	f
-0				foo	0000-00-00
-SELECT * FROM t1;
-a	b	c	d	e	f
-0				foo	0000-00-00
+ERROR HY000: Field 'a' doesn't have a default value
+SELECT * FROM t1;
+a	b	c	d	e	f
+SELECT * FROM t1;
+a	b	c	d	e	f
 INSERT INTO t1 VALUES(0,'abc','def','ghi','bar','1999-12-31');
 SELECT * FROM t1;
 a	b	c	d	e	f
-0				foo	0000-00-00
 0	abc	def	ghi	bar	1999-12-31
 # === insert failures ===
 INSERT INTO t1 VALUES(NULL,'ab','a','b','foo','2007-01-01');
@@ -36,8 +38,12 @@
 DROP TABLE t1;
 # ===== csv_not_null.3 =====
 DROP TABLE IF EXISTS t1;
+Warnings:
+Note	1051	Unknown table 't1'
 CREATE TABLE t1 (a int NOT NULL, b char(10) NOT NULL) ENGINE = CSV;
 INSERT INTO t1 VALUES();
+ERROR HY000: Field 'a' doesn't have a default value
+insert into t1 values (0,"");
 SELECT * FROM t1;
 a	b
 0	

=== renamed file 'tests/suite/mordred/t/csv_alter_table.test' => 'tests/t/csv_alter_table.test'
--- tests/suite/mordred/t/csv_alter_table.test	2008-12-16 20:41:02 +0000
+++ tests/t/csv_alter_table.test	2008-12-24 06:56:47 +0000
@@ -17,9 +17,7 @@
 #                             
 #############################################################################
 -- echo # ===== csv_alter_table.1 =====
--- disable_warnings
 DROP TABLE IF EXISTS t1;
--- enable_warnings
 
 CREATE TABLE t1 (a int NOT NULL) ENGINE = CSV;
 ALTER TABLE t1 ADD COLUMN b CHAR(5) NOT NULL;
@@ -38,9 +36,7 @@
 # These queries should not succeed / should throw errors
 #############################################################################
 -- echo # ===== csv_alter_table.2 =====
--- disable_warnings
 DROP TABLE IF EXISTS t1;
--- enable_warnings
 
 CREATE TABLE t1 (a int NOT NULL) ENGINE = CSV;
 --error ER_CHECK_NOT_IMPLEMENTED

=== renamed file 'tests/suite/mordred/t/csv_not_null.test' => 'tests/t/csv_not_null.test'
--- tests/suite/mordred/t/csv_not_null.test	2008-12-16 20:41:02 +0000
+++ tests/t/csv_not_null.test	2008-12-24 06:56:47 +0000
@@ -17,9 +17,7 @@
 #                           NOT NULL for each column
 #############################################################################
 -- echo # ===== csv_not_null.1 =====
--- disable_warnings
 DROP TABLE IF EXISTS t1, t2;
--- enable_warnings
 
 
 --echo # === Will fail -- no NOT NULL ===
@@ -40,26 +38,20 @@
 #                           statements for CSV
 ##############################################################################
 -- echo # ===== csv_not_null.2 =====
--- disable_warnings
 DROP TABLE IF EXISTS t1;
---enable_warnings
 
 
 CREATE TABLE t1 (a int NOT NULL, b blob NOT NULL, c CHAR(20) NOT NULL, 
 d VARCHAR(20) NOT NULL, e enum('foo','bar') NOT NULL,f DATE NOT NULL) 
 ENGINE = CSV;
--- echo # === should result in default for each datatype ===
--- disable_warnings
+--error 1364
 INSERT INTO t1 VALUES();
--- enable_warnings
 SELECT * FROM t1;
 
--- disable_warnings
 # NOTE - Test disabled due to enum crash for this INSERT
 # See Bug#33717 - INSERT...(default) fails for enum. 
 # Crashes CSV tables, loads spaces for MyISAM
 #INSERT INTO t1 VALUES(default,default,default,default,default,default);
--- enable_warnings
 
 SELECT * FROM t1;
 INSERT INTO t1 VALUES(0,'abc','def','ghi','bar','1999-12-31');
@@ -79,19 +71,15 @@
 #                           statements for CSV
 ##############################################################################
 -- echo # ===== csv_not_null.3 =====
--- disable_warnings
 DROP TABLE IF EXISTS t1;
---enable_warnings
 
 
 CREATE TABLE t1 (a int NOT NULL, b char(10) NOT NULL) ENGINE = CSV;
---disable_warnings
+--error 1364
 INSERT INTO t1 VALUES();
---enable_warnings
+insert into t1 values (0,"");
 SELECT * FROM t1;
---disable_warnings
 UPDATE t1 set b = 'new_value' where a = 0;
---enable_warnings
 SELECT * FROM t1;
 --error ER_BAD_NULL_ERROR
 UPDATE t1 set b = NULL where b = 'new_value';

